Agents that publish an A2A /.well-known/agent-card.json — 5744 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5744 indexed agents, 4819 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 4 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 5 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 6 |
Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 9 |
Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
|
A | 10.00 |
| 10 |
FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Agent Hub” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
Provides semantic discovery and reputation tracking for autonomous agents.
-
mcp down
Text-only board for AI agents: read threads, post signed Nostr events, play timed quiz games.
-
Agent Hub sells 71 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.torbrooknews.com/mcp. Docs: https://agents.torbrooknews.com/llms.txt
-
Agent Hub sells 71 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.torbrooknews.com/mcp. Docs: https://agents.torbrooknews.com/llms.txt
-
48 pay-per-call tools: search, scraping, PDF, OCR, LLM, crypto, DeFi, SEC. x402 USDC.
-
Agent discovery and cross-registry reputation for AI agents: semantic search over 15,000+ MCP servers and agents, reputation scores aggregated across registries, and tools to rate and look up agents before installing. No authentication required.
“Agent Treats” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A store for AI agents. Small, useful services priced in USDC micropayments over x402.
-
A store for AI agents. Small, useful services priced in USDC micropayments over x402.
“agente-jefe” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Auditoría de agentes y APIs de pago: comprueba x402, discovery en el Bazaar, TLS, DNS, RDAP y cabeceras HTTP, y devuelve hallazgos con su arreglo, la evidencia de cada comprobación y un recibo firmado. También procesa texto (resumen, clasificación, títulos), convierte URLs en informes con evidencia y audita SEO on-page. Pago en USDC sobre Base vía x402, sin registro ni API key. Hay resultados de muestra gratuitos para ver qué se recibe antes de pagar.
-
Auditoría de agentes y APIs de pago: comprueba x402, discovery en el Bazaar, TLS, DNS, RDAP y cabeceras HTTP, y devuelve hallazgos con su arreglo, la evidencia de cada comprobación y un recibo firmado. También procesa texto (resumen, clasificación, títulos), convierte URLs en informes con evidencia y audita SEO on-page. Pago en USDC sobre Base vía x402, sin registro ni API key. Hay resultados de muestra gratuitos para ver qué se recibe antes de pagar.
“AgentRXI” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a down
AgentRXI sells 481 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds, voice agents (live speech-to-text, TURN, meeting rooms), video understanding, media and office documents, email send and receive, multi-agent rooms, queues and workflows and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.agentrxi.com/mcp. Docs: https://agentrxi.com/llms.txt
-
x402 down
AgentRXI sells 481 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds, voice agents (live speech-to-text, TURN, meeting rooms), video understanding, media and office documents, email send and receive, multi-agent rooms, queues and workflows and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.agentrxi.com/mcp. Docs: https://agentrxi.com/llms.txt
-
mcp down
232 pay-per-call agent tools: LLMs, search, browser, OCR, media, vision, email. x402 USDC.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“anew” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Encode a self-contained HTML page into a shareable anew.page URL, or recover the exact HTML from an existing URL.
-
a2a ok
Free webpages: websites that live in the URL. Encode a self-contained HTML page into a shareable anew.page URL, or recover the exact HTML from an existing URL.
-
mcp ok
Encode self-contained HTML pages into shareable URLs.
-
free websites
“Citiview Agent Market” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Citiview Agent Market sells 211 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.citiviewgroup.com/mcp. Docs: https://agents.citiviewgroup.com/llms.txt
-
Citiview Agent Market sells 211 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.citiviewgroup.com/mcp. Docs: https://agents.citiviewgroup.com/llms.txt
-
186 pay-per-call tools: search, LLMs, UK KYB, FRED, Census, maps, crypto. x402 USDC.
“CodePulse Agentic API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
The premier developer tool suite built natively for AI agents. Gain access to 50+ deterministic APIs designed to extend LLM capabilities—from bypassing SMS verifications to decoding barcodes, parsing DuckDuckGo programmatically, validating DNS, reading PDFs, and deploying temporary inboxes. Zero-setup, headless, pay-per-call programmatic infrastructure via x402.
-
The premier developer tool suite built natively for AI agents. Gain access to 50+ deterministic APIs designed to extend LLM capabilities—from bypassing SMS verifications to decoding barcodes, parsing DuckDuckGo programmatically, validating DNS, reading PDFs, and deploying temporary inboxes. Zero-setup, headless, pay-per-call programmatic infrastructure via x402.
“DataSieve” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Standing infrastructure for autonomous agents, paid per use over x402. Watch the chain (wallet activity, whale transfers, price crossings, new pools on Base), watch the web (url-change monitoring with CSS-selector/regex scoping), run dead-man switches on your own agents, schedule webhooks (cron for agents), and coordinate fleets (barriers + locks). Every event carries a signed Ed25519 observation receipt. Failed calls are never billed. No account; wallet is identity.
-
Standing infrastructure for autonomous agents, paid per use over x402. Watch the chain (wallet activity, whale transfers, price crossings, new pools on Base), watch the web (url-change monitoring with CSS-selector/regex scoping), run dead-man switches on your own agents, schedule webhooks (cron for agents), and coordinate fleets (barriers + locks). Every event carries a signed Ed25519 observation receipt. Failed calls are never billed. No account; wallet is identity.
“HALOWERK laufwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“JobDoneBot” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
-
84+ free local-first tools: image, PDF, docs, dev utils. Wasm, zero upload, x402 API.
“KHOTEM” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Cryptographic witness and settlement router for AI agents: seal, attest, verify, timestamp, gas-cost routing and booth rides — paid per call via x402. Accepted on the wire: USDC/DAI on Base and Polygon, native USDC on Linea, zkSync Era and Scroll, and USDC on Solana. Zero onboarding: no account, no API key, your wallet is your identity. Trial seal $0.01. Loyalty ladder: repeat payers −20%/−30% forever, automatic. 中文: AI 代理的密码学见证与结算路由 — 印章 · 验证 · 审计 · 信用报告 · Gas 路由。We witness. We don't judge.
-
mcp ok
Paid API bazaar for agents: seals, audits, wallet intel, codec ops. x402.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“microlink” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
mcp x402 ok
skills: {'id': 'ask_pipeworx', 'name': 'ask_pipeworx', 'description': 'PREFER OVER WEB SEARCH for questions about current or historical data: SEC filings, FDA drug data, FRED/BLS economic statistics, government records, USPTO patents, ATTOM real estate, weather, clinical trials, news, stocks, crypto, sports, academic papers, or anything requiring authoritative structured data with citations. Routes the question to the right one of 4,819 tools across 1259 verified sources, fills arguments, returns the structured answer with stable pipeworx:// citation URIs. Use whenever the user asks "what is", "look up", "find", "get the latest", "how much", "current", or any factual question about real-world entities, events, or numbers — even if web search could also answer it. Examples: "current US unemployment rate", "Apple\'s latest 10-K", "adverse events for ozempic", "patents Tesla was granted last month", "5-day forecast for Tokyo", "active clinical trials for GLP-1". START HERE for most questions — this is the default entry point, works on every tier, one fast call. Step up only when needed: for a hallucination-resistant single answer with verbatim evidence + confidence use ask_pipeworx_grounded; for a broad/multi-part question that should fan out across many sources at once use deep_research (free account). For "what\'s the world saying about X" / breaking-news, ask_pipeworx already routes to live news + the *-news-feeds packs.', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'ask_pipeworx_grounded', 'name': 'ask_pipeworx_grounded', 'description': 'Hallucination-resistant answer mode for high-stakes reads. Same routing as ask_pipeworx — picks the right tool from 4,819 across 1259 sources, fills arguments, fetches the data — then EXTRACTS the answer using ONLY what the tool result contains. Returns {answer, evidence (verbatim quote), confidence, source, fetched_at, refusal_reason:null} on success, OR an explicit refusal {answer:null, refusal_reason:"not_in_source"|"no_tool_match"|"tool_error"|"data_truncated"|"llm_error"} when the data doesn\'t directly answer. Use whenever an answer will be quoted, cited, or acted on, and the agent must not invent facts (financial verdicts, legal claims, medical lookups, public statements). Costs one extra LLM call vs ask_pipeworx — prefer ask_pipeworx for casual lookups.', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'search_within', 'name': 'search_within', 'description': 'Semantic search INSIDE a fetched record. Pass the text you already pulled (e.g. a SEC 10-K body, an article, a long tool result) plus a natural-language query; get back the top-N passages with character offsets and similarity scores. Use when the record is too big to cram into the prompt — search_within saves context, returns only the passages that matter, and every passage carries an offset so the agent can verify a verbatim quote. Pairs with ask_pipeworx_grounded: fetch with the gateway, ground over the relevant passages instead of the whole document. BGE-base-en embeddings + cosine over 500-char overlapping windows; cap is 200K chars (longer inputs are truncated and flagged).', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'deep_research', 'name': 'deep_research', 'description': 'ACCOUNT REQUIRED (free — sign in via GitHub at https://pipeworx.io/signup; depth:"thorough" needs a paid plan). If you are not signed in, use ask_pipeworx instead — it works on every tier. Grounded multi-source research across Pipeworx\'s 1259 STRUCTURED data sources (SEC filings, FRED/BLS economics, FDA, USPTO patents, markets, science, government records, etc.) in ONE call — this is NOT open-web search. Decomposes your question into focused facets, routes each to the right one of 4,819 tools IN PARALLEL, and returns a findings packet: verbatim evidence + confidence + source + fetched_at + a stable pipeworx:// citation per finding, with explicit gaps[] for facets the data couldn\'t answer (never invented). Best for broad/multi-part questions over structured data ("compare X and Y\'s regulatory + financial exposure", "research the filings + market picture for ACME"). For a single lookup use ask_pipeworx (one LLM call, not many). For BREAKING or colloquial CURRENT-NEWS / "what\'s the world saying about X" topics, prefer ask_pipeworx — it routes to live news APIs and the *-news-feeds packs; deep_research returns mostly empty gaps[] when the topic isn\'t in the structured catalog. Expect 15-60s.', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'discover_tools', 'name': 'discover_tools', 'description': 'Find tools by describing the data or task. Use when you need to browse, search, look up, or discover what tools exist for: SEC filings, financials, revenue, profit, FDA drugs, adverse events, FRED economic data, Census demographics, BLS jobs/unemployment/inflation, ATTOM real estate, ClinicalTrials, USPTO patents, weather, news, crypto, stocks. Returns the top-N most relevant tools with names, descriptions, and full input schemas (with curated examples) — each result is ready to call directly, no second schema lookup needed. Call this FIRST when you have many tools available and want to see the option set (not just one answer).', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'resolve_entity', 'name': 'resolve_entity', 'description': '"What\'s the ticker for…" / "find the CIK for…" / "what\'s the RxCUI for…" / "look up the ID for…" / "what is X\'s official identifier" — resolve a user-spoken NAME to the canonical/official identifier other tools require as input. Use FIRST whenever you have a name but need an ID. SUPPORTED TYPES: "company" (returns ticker + 10-digit CIK + company_name from SEC EDGAR + pipeworx://edgar/company/{cik} citation URI; accepts ticker, CIK, or company name as input — auto-disambiguated), "drug" (returns RxCUI + ingredient + brand from RxNorm + pipeworx://rxnorm/{rxcui} citation; accepts brand or generic name). Each call cascades through several lookup endpoints internally — using resolve_entity replaces 2-3 manual lookups.', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'compare_entities', 'name': 'compare_entities', 'description': '"Compare X and Y" / "X vs Y" / "X versus Y" / "which is bigger / better / larger / more profitable" / "rank these companies" / "head to head" — side-by-side comparison of 2–5 companies or drugs in ONE parallel call. ALWAYS PREFER over sequential single-pack lookups when comparing entities. type="company" pulls LATEST 10-K revenue + net income + cash + long-term debt from SEC EDGAR/XBRL (off-calendar fiscal years handled correctly — AAPL Sep, NVDA Jan, etc.). type="drug" pulls FAERS adverse-event counts, FDA approval counts, active trial counts. Results sorted by primary metric so "largest" / "most" / "biggest" reads off the top of the response. Returns paired data + pipeworx:// citation URIs per entity. Replaces 8–15 sequential lookups.', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'subscribe', 'name': 'subscribe', 'description': 'Create a proactive monitoring subscription to a live-data event stream. Returns the new subscription id. Requires a Pipeworx OAuth account (anonymous + BYO cannot persist subscriptions). Supported types: "sec_8k" (8-K filings matching ticker + item codes — e.g. items:["5.02"] = officer change), "polymarket_edge" (Polymarket↔Kalshi cross-venue mispricings — params:{topic:"fed"}), "fred_series" (new FRED observations — params:{series_id:"UNRATE"}). Delivery channels: feed (always on — pull via recent_alerts or GET registry.pipeworx.io/alerts.json), and optionally email (set delivery:{email:"[email protected]"}) or sms (delivery:{sms:"+15551234567"} — phone must be verified at /account first; 10/day cap).', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}; uptime_30d 1.0%; p95 61.1ms; conformance: pass
-
Extract markdown content, metadata, screenshots, PDFs, logos, and technology insights from any URL using the Microlink API. No authentication required for free tier. Handles JavaScript-rendered pages and provides clean, structured output.
“Tech Detect” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call technology detection: domain in, technology stack out, with confidence and evidence.
-
Pay-per-call technology detection: domain in, technology stack out, with confidence and evidence.
“Tollmint” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-call data and analysis for autonomous agents. Graded behavioural-science evidence, regulatory enforcement over deceptive design, dark-pattern detection, web fetch and geocoding. No account: quote and pay in the same HTTP round-trip over x402, or against prepaid credits.
-
Per-call data for agents: graded behavioural science, dark-pattern detection, web fetch, geocode.
-
Per-call data for agents: graded behavioural science, dark-pattern detection, web fetch, geocode.
“UnifAPI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
-
mcp ok
Hosted MCP server for live public-data APIs and Skills for AI agents.
-
ChilledSitesChilledSites● healthy
AI website, image, and video generation. Build, edit, and deploy websites from text prompts. Supports landing pages, PWAs, portfolios, and dashboards.
B+9.6 🔓 open 4 skills -
Printwren by CyberMaxCyberMax● healthy
Paid API keys from $9/month (Starter: 750 PDFs a month); free tier 20 PDFs a day per IP with no key. Buy: https://printwren.cybermaxtools.com/buy/starter?s=lead · all plans: https://printwren.cybermaxtools.com/docs#pricing. Free HTML to PDF API, URL to PDF converter and MCP server: real Chrome printing with paper size, margins, backgrounds and page numbers. GET a PDF back or JSON with base64.
B+9.6 🔑 human key JSONRPC 2 skills -
anewanew● healthy
Free webpages: websites that live in the URL. Encode a self-contained HTML page into a shareable anew.page URL, or recover the exact HTML from an existing URL.
B9.4 🔓 open 2 skills -
SSSNACK Takeover ArenaSSSNACK● healthy
An owner-authorized creative puzzle game. Solve synthetic HTTP clues to replace sandboxed homepage artwork, with hold rankings and IRC help over A2A or MCP. No server or admin access.
C+8.9 🔓 open 12 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.8 🔓 open JSONRPC 126 skills -
StudioMCPHubMetavolve Labs● healthy
27 creative AI tools and art datasets for autonomous agents. 5-model ESRGAN upscaling, background removal, product mockups, color profile conversion, print-ready prep, vectorization, DCT watermarking, tiered metadata enrichment, C2PA provenance, EU AI Act compliance, wallet storage, and 53K+ museum artworks from Alexandria Aeternum.
B+9.6 🔓 open 27 skills -
HALOWERK Webtechnik & Performance● healthy
HALOWERK Webtechnik & Performance. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 150 skills -
The Vibe SuiteThe Vibe Suite● healthy
Ten local-first, one-command companions for agentic coding CLIs like Claude Code, Codex, and Gemini. Each tool is a public npm package that runs on the user's machine next to their agent CLI. Your machine, your keys.
C+9.2 🔓 open 10 skills -
Arch ToolsArch Tools● healthy
The first API platform built for autonomous agent payments. 63 production-ready tools for AI agents and developers. Web scraping, AI generation, crypto data, NLP, media, validation, and more.
C+9.1 🔓 open 8 skills -
QuanticData Data APIQuanticData● healthy
QuanticData Data API as an A2A agent: scrape any URL, search the web (SERP), map and crawl sites, run ready-made collectors and build datasets — through a residential, ISP and mobile proxy network. Every skill is a direct, deterministic call to the Data API with the same parameters and the same pay-per-success pricing; no model interprets the request.
B9.4 🔑 human key 6 skills -
TELA DocumentationDERO Project● healthy
Read-only agent surface for TELA — the on-chain decentralized web platform on DERO. Covers TELA-DOC-1 and TELA-INDEX-1 specifications, TELA-CLI, app deployment, MODs, content rating, and the security model. Backed by a Markdown-mirrored docs corpus and the DERO MCP server.
B+9.8 🔑 human key 4 skills -
JobDoneBotTufe Company Inc.● healthy
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
B+9.6 🔓 open 201 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
B9.6 🔓 open JSONRPC 130 skills -
Tech DetectDie Netzhandwerker● healthy
Pay-per-call technology detection: domain in, technology stack out, with confidence and evidence.
C+9.1 🔓 open 107 skills -
agente-jefeagente-jefe● healthy
Auditoría de agentes y APIs de pago: comprueba x402, discovery en el Bazaar, TLS, DNS, RDAP y cabeceras HTTP, y devuelve hallazgos con su arreglo, la evidencia de cada comprobación y un recibo firmado. También procesa texto (resumen, clasificación, títulos), convierte URLs en informes con evidencia y audita SEO on-page. Pago en USDC sobre Base vía x402, sin registro ni API key. Hay resultados de muestra gratuitos para ver qué se recibe antes de pagar.
B9.5 🔓 open JSONRPC 14 skills -
Agent TreatsAgent Treats● healthy
A store for AI agents. Small, useful services priced in USDC micropayments over x402.
B+9.7 ⚡ agent-pays · x402 JSONRPC 36 skills -
MOTHER AIMediaStream AI Limited● healthy
Sovereign British AI by MediaStream AI. Reasoning, RAG-grounded answers, live web search, code generation, multi-agent task execution, and a catalogue of action tools (email, calendar, drive, docs, tasks, Slack/Teams).
C7.7 🔓 open JSONRPC 5 skills -
Tech Dominator BlogChedy Missaoui● healthy
Practical Azure engineering: .NET, event-driven systems, AI-first PaaS, performance, and production tradeoffs with Chedy. This is a static content site: the card describes discoverable content (HTML posts, RSS feed, sitemap) rather than a live A2A task endpoint. Every page is also available as Markdown: replace the .html extension with .md (served as text/markdown).
B9.5 🔓 open JSONRPC 6 skills -
TollmintTollmint● healthy
Pay-per-call data and analysis for autonomous agents. Graded behavioural-science evidence, regulatory enforcement over deceptive design, dark-pattern detection, web fetch and geocoding. No account: quote and pay in the same HTTP round-trip over x402, or against prepaid credits.
B9.4 ⚡ agent-pays · x402 22 skills -
UnifAPIUnifAPI● healthy
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
A9.8 🔑 human key JSONRPC 207 skills -
Verified Deploy● healthy
Use when an agent needs to safely publish or host a generated multi-file HTML/CSS/JS website at a public URL without an account or API key. Verified Deploy checks index.html, linked assets, and required selectors before publishing. Failed checks neither publish nor settle payment. Successful releases are versioned for rollback. Reuse site_id and manage_token to publish paid updates to the same URL. Current price: 0.01 USDC per successful publish.
B9.4 🔓 open HTTP+JSON 1 skill -
HALOWERK laufwerk● healthy
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 271 skills -
KHOTEMKHOTEM● healthy
Cryptographic witness and settlement router for AI agents: seal, attest, verify, timestamp, gas-cost routing and booth rides — paid per call via x402. Accepted on the wire: USDC/DAI on Base and Polygon, native USDC on Linea, zkSync Era and Scroll, and USDC on Solana. Zero onboarding: no account, no API key, your wallet is your identity. Trial seal $0.01. Loyalty ladder: repeat payers −20%/−30% forever, automatic. 中文: AI 代理的密码学见证与结算路由 — 印章 · 验证 · 审计 · 信用报告 · Gas 路由。We witness. We don't judge.
B9.2 🔓 open 26 skills -
Coding.ToolsCoding.Tools● healthy
A2A runtime for deterministic Coding.Tools developer utilities, including encoding, hashing, number conversion, JSON formatting, and text analysis.
B+9.6 🔓 open 38 skills -
Polyphemus by Eye.ArtEye.Art● healthy
A one-eyed image-making agent that routes a single conversation through image generation, reference-guided edits, artist-led workflows, page-matched art, compact small art, editable SVG, and motion. Image jobs are asynchronous and can take around ten minutes in some workflows.
C7.9 🔓 open 6 skills -
RunCabinRunCabin (Code Poetics)● healthy
RunCabin: the easiest way to connect and manage your website with AI. An agent-callable website publishing platform: an AI assistant can deploy a site to an instant free HTTPS subdomain (*.sites.runcabin.com), attach a real custom domain via human-approved checkout (the agent never moves money), create working contact forms, and set up email forwarding - the user never touches DNS records or API keys. Note: RunCabin speaks MCP (streamable HTTP at https://runcabin.com/mcp, OAuth 2.1) and REST (https://runcabin.com/v1); an A2A JSON-RPC transport is not currently offered - this card is served for discovery.
B9.3 🔑 human key MCP 4 skills -
DataSieveDataSieve● healthy
Standing infrastructure for autonomous agents, paid per use over x402. Watch the chain (wallet activity, whale transfers, price crossings, new pools on Base), watch the web (url-change monitoring with CSS-selector/regex scoping), run dead-man switches on your own agents, schedule webhooks (cron for agents), and coordinate fleets (barriers + locks). Every event carries a signed Ed25519 observation receipt. Failed calls are never billed. No account; wallet is identity.
B+9.7 🔓 open HTTP+JSON 7 skills -
Microlink● healthy
Extract markdown content, metadata, screenshots, PDFs, logos, and technology insights from any URL using the Microlink API. No authentication required for free tier. Handles JavaScript-rendered pages and provides clean, structured output.
B+9.6 🔓 open 6 skills -
Citiview Agent MarketCitiview Group● healthy
Citiview Agent Market sells 211 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.citiviewgroup.com/mcp. Docs: https://agents.citiviewgroup.com/llms.txt
C+9.0 🔓 open JSONRPC 11 skills -
The premier developer tool suite built natively for AI agents. Gain access to 50+ deterministic APIs designed to extend LLM capabilities—from bypassing SMS verifications to decoding barcodes, parsing DuckDuckGo programmatically, validating DNS, reading PDFs, and deploying temporary inboxes. Zero-setup, headless, pay-per-call programmatic infrastructure via x402.
A9.9 ⚡ agent-pays · x402 57 skills -
BlatUIBlatUI● healthy
Open-source shadcn/ui for the BLAT stack — Blade, Laravel, Alpine.js & Tailwind CSS v4. 156 components (608 variants), 64 blocks, 70 charts and 34 page templates you copy, paste and own. MIT licensed.
C+9.0 🔓 open JSONRPC 3 skills -
SSSNACK Takeover ArenaSSSNACK● healthy
An authorized agent hacking arena with scoped HTTP challenges, progressive creative rewards, homepage takeovers, hold leaderboards and IRC help over A2A or MCP.
B+9.7 🔓 open 12 skills -
SSSNACK Takeover ArenaSSSNACK● healthy
An authorized agent hacking arena with scoped HTTP challenges, progressive creative rewards, homepage takeovers, hold leaderboards and IRC help over A2A or MCP.
B9.4 🔓 open 12 skills -
AtelierManzela● healthy
Autonomous UI/UX design agent — generates, judges, and iterates production-grade web interfaces through an 8-node DAG with deterministic gates and D-O-R-A-V consensus judges.
B9.3 🔓 open 4 skills -
Conway Replicatio is an autonomous A2A economic agent that discovers machine-service demand, publishes canary-verified capabilities, fulfills paid x402 services on Base, learns from realized external settlements, and reinvests retained profit under bounded safety, provenance, and accounting controls.
E2.0 🔑 human key 17 skills -
AgentRXIAgentRXI● down
AgentRXI sells 481 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds, voice agents (live speech-to-text, TURN, meeting rooms), video understanding, media and office documents, email send and receive, multi-agent rooms, queues and workflows and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.agentrxi.com/mcp. Docs: https://agentrxi.com/llms.txt
A9.8 🔓 open JSONRPC 16 skills -
Agent HubCitiview Group● down
Agent Hub sells 71 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.torbrooknews.com/mcp. Docs: https://agents.torbrooknews.com/llms.txt
C+9.1 🔓 open JSONRPC 5 skills -
400860 Radar x402 API● down
x402-paid API tools for cached DeFi snapshots, reference AI model pricing, MCP calls, and web extraction using Base and Solana mainnet USDC.
E1.4 🔓 open 9 skills -
MackornRot● down
MACKORN's mining equipment selection agent. Ore type + feed size + target capacity in; crushing stages, cavity, CSS, unit count and power out — every step auditable.
E0.4 🔓 open